Package org.eclipse.emf.cdo.ui.widgets

# Class CommitHistoryComposite.Input.IllegalInputException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.emf.cdo.ui.widgets.CommitHistoryComposite.Input.IllegalInputException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `CommitHistoryComposite.Input`

public static class CommitHistoryComposite.Input.IllegalInputException extends Exception
Thrown from `Input(Object)` when no history could be created from the passed parameter object.

Since:
  4.4
Author:
  Eike Stepper
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IllegalInputException(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IllegalInputException

public IllegalInputException(String message)